Subject: bug#24754: problems with footnotes and a bug with links in emacs info

From: Rubey Martin <[email-masked]>
Date: Fri, 21 Oct 2016 06:42:23 +0000

(a previous version of this bug report was sent to bug-texinfo, but it turns out to be a bug in emacs, not in info...)

Dear all,

I have two problems with info in emacs.  Find attached a .texi file that exhibits both.  Note that none of the two problems exists in the standalone info reader!

After compiling this file with makeinfo, and viewing it in emacs with "C-u C-h i filename", please do the following:

1.) problem with footnotes:

select the fourth menu node

    The On-Line Encyclopedia of Integer Sequences (OEIS)

right at the beginning you will see

=========================================
AUTHORS:

   - Thierry Monteil (2012-02-10 – 2013-06-21): initial version.

   - Vincent Delecroix (2014): modifies continued fractions because of
     trac ticket #14567(1)

   - Moritz Firsching (2016): modifies handling of dead sequence, see
     trac ticket #17330(2)
=========================================

and both (2014) and (2016) are interpreted by emacs-info as links.

I learned that this is actually mandated by the specification, but I think it would be important to be able to switch off footnote links, or, even better, improve them such that makeinfo either escapes non-footnote occurrences of "(12345)", or uses a less easily confused markup.

Note that in this project (sagemath, a large gpl computer algebra system) non-footnote occurrences of (1), (2) and (3) are very very frequent, but footnotes are used, too.  Therefore, navigating to footnote (1) and clicking on it will send you anywhere.

2.) A bug with links.  Go back to top, and then visit the node

    FindStat - the Combinatorial Statistic Finder

you should see in line 29 the link

    To access the database, use *note findstat: 7a.:

but clicking on it does not send me to the line beginning with

    Class sage.databases.findstat.FindStat

but a little below.  This problem is much worse in other, larger examples.

I tested both problems on two versions of makeinfo and emacs, without noticing any difference.  The later version is

martin@convex63:~/sage-master/local/share/doc/sage/texinfo/en/reference/combinat$ makeinfo --version
texi2any (GNU texinfo) 6.1

Copyright (C) 2016 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

martin@convex63:~/sage-master/local/share/doc/sage/texinfo/en/reference/combinat$ emacs --version
GNU Emacs 24.5.1
Copyright (C) 2015 Free Software Foundation, Inc.
GNU Emacs comes with ABSOLUTELY NO WARRANTY.
You may redistribute copies of Emacs
under the terms of the GNU General Public License.
For more information about these matters, see the file named COPYING.

In any case, thanks for looking into this!

Martin